<?php
// +----------------------------------------------------------------------
// | 修改
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Channel;

use app\common\controller\_Admin;

class update extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[], $_this) {
        $info = \think\Db::name('channel')->where('id', $param['id'])->find();

        if (\think\facade\Request::isAjax()) {
            return $this->update($param, $info);
        }

        $this->assign('info', $info);
        return $this->fetch();
    }
    
    // 修改角色
    private function update($param=[], $info) {
        $vif = $this->_where($param, $info);
        if ($vif !== true) return $vif;

        $res = \think\Db::name('channel')->update($param);
  
        if ($res != false) {
            return $this->_json('00', '修改成功！');
        }

        return $this->_json('01', '修改失败！');
    }

    // 新增条件过滤
    private function _where($param=[], $info) {
        if (!self::isset_empty($param, 'title')) return $this->_json('01', '请输入渠道名称');
        if (!self::isset_empty($param, 'code')) return $this->_json('01', '请输入渠道编号');
        if (!self::isset_empty($param, 'appid')) return $this->_json('01', '请输入APPID');
        if (!self::isset_empty($param, 'secret_key')) return $this->_json('01', '请输入密钥');

        if ($info['code'] != $param['code']) {
            $res = \think\Db::name('channel')->where('code', $param['code'])->value('id');
            if ($res) return $this->_json('01', 'APPID已被使用!');
        }
        if ($info['appid'] != $param['appid']) {
            $res = \think\Db::name('channel')->where('appid', $param['appid'])->value('id');
            if ($res) return $this->_json('01', '密钥已被使用!');
        }
        return true;
    }
}
